Vercel
API ReferenceMCP Servers

Update MCP Server

Updates an existing MCP server configuration.

PATCH/v2/mcp-servers/{mcpServerId}

Usage

TypeScript Example
import { v0 } from 'v0-sdk'const result = await v0.mcpServers.update({  mcpServerId: 'srv_jkl345',})console.log(result)

API Signature

Request

Path Parameters

mcpServerId: string

The unique identifier of the MCP server to update.

Request Body

name?: string

New display name.

url?: string

New URL endpoint.

description?: string

New description.

enabled?: boolean

Enable or disable.

auth?: 'none' | 'bearer' | 'custom-headers' | 'oauth'

New authentication configuration.

scope?: 'user' | 'team'

New scope.

Response

id: string

Unique identifier for the MCP server.

name: string

Display name of the MCP server.

url: string

URL endpoint of the MCP server.

description: string

Optional description of the MCP server.

createdAt: string

ISO timestamp of when the server was created.

updatedAt: string

ISO timestamp of the last update.

userId: string

ID of the user who created the server.

enabled: boolean

Whether the MCP server is enabled.

auth: 'none' | 'bearer' | 'custom-headers' | 'oauth'

Authentication configuration for the MCP server.

scope: 'user' | 'team'

Scope of the MCP server configuration.

On this page